public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/files/, dev-libs/log4cpp/
@ 2017-12-31 12:44 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2017-12-31 12:44 UTC (permalink / raw
  To: gentoo-commits

commit:     dfa21cd91daf4a6c5e5562ba31f000a7f90e51b2
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 31 11:54:57 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 31 12:43:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfa21cd9

dev-libs/log4cpp: Port to EAPI 6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/log4cpp/files/1.0-asneeded.patch          |  4 +--
 dev-libs/log4cpp/files/1.0-doc_install_path.patch  |  7 ++--
 .../log4cpp/files/log4cpp-1.1-automake-1.13.patch  |  7 ++--
 dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch |  4 +--
 dev-libs/log4cpp/log4cpp-1.1.ebuild                | 38 ++++++++++++----------
 5 files changed, 32 insertions(+), 28 deletions(-)

diff --git a/dev-libs/log4cpp/files/1.0-asneeded.patch b/dev-libs/log4cpp/files/1.0-asneeded.patch
index e9fb05f4ae9..7e88c545a37 100644
--- a/dev-libs/log4cpp/files/1.0-asneeded.patch
+++ b/dev-libs/log4cpp/files/1.0-asneeded.patch
@@ -1,7 +1,7 @@
 http://bugs.gentoo.org/247067
 
---- m4/ACX_PTHREAD.m4
-+++ m4/ACX_PTHREAD.m4
+--- a/m4/ACX_PTHREAD.m4
++++ b/m4/ACX_PTHREAD.m4
 @@ -266,6 +266,117 @@
          else
            PTHREAD_CC=$CC

diff --git a/dev-libs/log4cpp/files/1.0-doc_install_path.patch b/dev-libs/log4cpp/files/1.0-doc_install_path.patch
index 8f9ef513761..abe88dfd123 100644
--- a/dev-libs/log4cpp/files/1.0-doc_install_path.patch
+++ b/dev-libs/log4cpp/files/1.0-doc_install_path.patch
@@ -1,11 +1,10 @@
---- doc/Makefile.am.orig	2007-10-13 09:39:44.000000000 +0200
-+++ doc/Makefile.am	2007-10-13 09:40:03.000000000 +0200
-@@ -1,7 +1,7 @@
+--- a/doc/Makefile.am
++++ b/doc/Makefile.am
+@@ -1,7 +1,6 @@
  SUBDIRS = html
  
  man3dir = $(mandir)/man3
 -docdir  = $(prefix)/doc/@PACKAGE_TARNAME@-@PACKAGE_VERSION@
-+docdir  = $(prefix)/share/doc/@PACKAGE_TARNAME@-@PACKAGE_VERSION@
  
  EXTRA_DIST = \
  	mainPage.txt

diff --git a/dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch b/dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch
index ffac4a1dbfc..3e7cb560a50 100644
--- a/dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch
+++ b/dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch
@@ -1,11 +1,12 @@
---- configure.ac.orig	2015-01-14 09:37:13.616446476 +0300
-+++ configure.ac	2015-01-14 09:37:26.119445770 +0300
-@@ -17,7 +17,7 @@
+--- a/configure.in
++++ b/configure.in
+@@ -17,7 +17,8 @@
  
  #AC_CONFIG_SRCDIR(configure.in)
  AC_CONFIG_AUX_DIR(config)
 -AM_CONFIG_HEADER(include/config.h)
 +AC_CONFIG_HEADERS([include/config.h])
++AC_CONFIG_MACRO_DIR([m4])
  
  AM_INIT_AUTOMAKE
  

diff --git a/dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch b/dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch
index fe3c810814b..0180580717a 100644
--- a/dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch
+++ b/dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch
@@ -1,5 +1,5 @@
---- src/PatternLayout.cpp.orig      2015-01-14 09:24:32.332489499 +0300
-+++ src/PatternLayout.cpp   2015-01-14 09:23:18.162493691 +0300
+--- a/src/PatternLayout.cpp
++++ b/src/PatternLayout.cpp
 @@ -24,6 +24,7 @@
  #include <iomanip>
  #include <ctime>

diff --git a/dev-libs/log4cpp/log4cpp-1.1.ebuild b/dev-libs/log4cpp/log4cpp-1.1.ebuild
index bea580222ca..d27aa21fff1 100644
--- a/dev-libs/log4cpp/log4cpp-1.1.ebuild
+++ b/dev-libs/log4cpp/log4cpp-1.1.ebuild
@@ -1,11 +1,9 @@
 # Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
 
-AT_M4DIR="m4"
-AUTOTOOLS_AUTORECONF=1
-inherit autotools-multilib
+inherit autotools multilib-minimal
 
 DESCRIPTION="C++ classes for flexible logging to files, syslog and other destinations"
 HOMEPAGE="http://log4cpp.sourceforge.net/"
@@ -19,14 +17,12 @@ IUSE="doc static-libs test"
 DEPEND="doc? ( app-doc/doxygen )"
 RDEPEND=""
 
-DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
-
 PATCHES=(
-	"${FILESDIR}/1.0-doc_install_path.patch"
-	"${FILESDIR}/1.0-gcc43.patch"
-	"${FILESDIR}/1.0-asneeded.patch"
-	"${FILESDIR}/${P}-cmath-fix.patch"
-	"${FILESDIR}/${P}-automake-1.13.patch"
+	"${FILESDIR}"/1.0-doc_install_path.patch
+	"${FILESDIR}"/1.0-gcc43.patch
+	"${FILESDIR}"/1.0-asneeded.patch
+	"${FILESDIR}"/${P}-cmath-fix.patch
+	"${FILESDIR}"/${P}-automake-1.13.patch
 )
 
 S="${WORKDIR}/${PN}"
@@ -36,6 +32,8 @@ MULTILIB_CHOST_TOOLS=(
 )
 
 src_prepare() {
+	default
+
 	mv configure.{in,ac} || die
 
 	# Build tests conditionally
@@ -43,13 +41,19 @@ src_prepare() {
 		sed -i -e '/^SUBDIRS/s/ tests//' Makefile.am || die
 	fi
 
-	autotools-multilib_src_prepare
+	eautoreconf
 }
 
 multilib_src_configure() {
-	local myeconfargs=(
-		--without-idsa
-		$(use_enable doc doxygen)
-	)
-	autotools-utils_src_configure
+	ECONF_SOURCE=${S} econf \
+		--without-idsa \
+		$(use_enable doc doxygen) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	# package installs .pc files
+	find "${D}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2017-12-31 12:44 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-12-31 12:44 [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/files/, dev-libs/log4cpp/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox